# Gimp.Selection.get_by_id

    function get_by_id(selection_id: Number(gint32)): Gimp.Selection {
        // Gjs wrapper for gimp_selection_get_by_id()
    }

Returns a Gimp.Selection representing selection_id. This function calls Gimp.Item.get_by_id and returns the item if it is selection or null otherwise.

Since 3.0

selection_id

  The selection id.

Returns

  a Gimp.Selection for selection_id or null if selection_id does not represent a valid selection. The object belongs to libgimp and you must not modify or unref it.